HostingDelivery
List Delivery domains
GET
/api/delivery/domainsReturns Delivery domains available to the authenticated user.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Query Parameters
status?string
Delivery domain status filter.
all= include every Delivery domain status.enabled= active and usable.not_verified= required records have not been verified.misconfigured= active but a live DNS health check currently fails.disabled= disabled.blocked= blocked by system policy or review.
Values
all | enabled | not_verified | misconfigured | disabled | blockedsort_field?string
Field to sort by.
sort?string
Sort direction.
asc= ascending order.desc= descending order.none= no explicit sort direction.
Values
asc | desc | nonepage?integer
Page number
Format
int32Default 1per?integer
Results per page
Format
int32Default 25query?string
Search query
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/delivery/domains" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json"{
"resources": [
{
"created_at": "string",
"name": "string",
"code": "string",
"status": 0,
"display_status": "enabled",
"dns_verification_status": "not_verified",
"dkim_last_checked_at": "string",
"dkim_last_check_ok": "string",
"dkim_tr_last_check_ok": "string",
"dkim_nl_last_check_ok": "string",
"spf_last_checked_at": "string",
"spf_last_check_ok": "string",
"approval_status": "need_approval",
"status_detail": "ok",
"dkim_selector_tr": "string",
"dkim_selector_nl": "string",
"cname_verification_records": "string",
"txt_spf_record": "string",
"suggested_dmarc_record": "string",
"customer_fullname": "string",
"customer_code": "string",
"accounts_count": "string",
"accounts": "string",
"manager_fullname": "string",
"manager_code": "string"
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}